Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputStoryContentPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputStoryContent
it.tdlight.jni.TdApi.InputStoryContentPhoto

Enclosing class:
  TdApi

public static final class TdApi.InputStoryContentPhoto extends TdApi.InputStoryContent
A photo story.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`addedStickerFileIds`
File identifiers of the stickers added to the photo, if applicable.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputFile`
`photo`
Photo to send.

## Constructor Summary

Constructors
Constructor
Description
`InputStoryContentPhoto()`
A photo story.
`InputStoryContentPhoto(TdApi.InputFile photo, int[] addedStickerFileIds)`
A photo story.
`InputStoryContentPhoto(DataInput input)`
A photo story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.InputFile photo
Photo to send. The photo must be at most 10 MB in size. The photo size must be 1080x1920.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the photo, if applicable.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputStoryContentPhoto

public InputStoryContentPhoto()
A photo story.

### InputStoryContentPhoto

public InputStoryContentPhoto(TdApi.InputFile photo, int[] addedStickerFileIds)
A photo story.

Parameters:
  `photo` - Photo to send. The photo must be at most 10 MB in size. The photo size must be 1080x1920.
  `addedStickerFileIds` - File identifiers of the stickers added to the photo, if applicable.

### InputStoryContentPhoto

public InputStoryContentPhoto(DataInput input) throws IOException
A photo story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`